%define name anyremote
%define version 4.13
%define release %mkrel 1

Summary: Remote control through bluetooth or IR connection
Name: %{name}
Version: %{version}
Release: %{release}
License: GPL
Group: Applications/System
Requires: binutils, coreutils, bc, gawk, libbluez2 >= 3.36
Requires: libxtst6 >= 1.0.3, libxtst6-devel >= 1.0.3, 
Requires: anyremote-data >= 4.11
BuildRequires: libbluez2 >= 3.36, libbluez-devel >= 3.36, x11-proto-devel
BuildRequires: libxtst6 >= 1.0.3, libxtst6-devel >= 1.0.3
Provides: anyremote 
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Source0: %{name}-%{version}.tar.gz
URL: http://anyremote.sourceforge.net/

%description
The overall goal of this project is to provide remote control service on Linux 
through Bluetooth, InfraRed, Wi-Fi or TCP/IP connection.
anyRemote supports wide range of modern cell phones like Nokia, SonyEricsson, 
Motorola and others. 

%prep
%setup

%build
./configure --prefix=%{_prefix}
make CFLAGS="$RPM_OPT_FLAGS"


%install
rm -rf $RPM_BUILD_ROOT
%makeinstall INSTALLDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%{_bindir}/%{name}
%{_datadir}/man/man1/anyremote.1.lzma

%changelog

%package data
Summary: Configuration files for anyRemote
Group: Applications/System

%description data
Configuration files for anyRemote

%files data
%{_datadir}/%{name}

%package doc
Summary: Documentation for anyRemote
Group: Applications/System

%description doc
Documentation for anyRemote

%files doc
%{_datadir}/doc/%{name}


